# https://github.com/kovidgoyal/html5-parser/archive/v0.4.4.tar.gz
%global module html5-parser

Name:		        python-%{module}
Version:	      0.4.4
Release:	      %mkrel 1
Summary:        Python HTML5 Parser

License:	      Apache
Group:		      Development/Python
Url:		        https://github.com/kovidgoyal/html5-parser
Source0:	      %{module}-%{version}.tar.xz

BuildRequires:  %{_lib}xml2-devel
BuildRequires:  python-chardet
BuildRequires:	python-devel
BuildRequires:  python-lxml
BuildRequires:  python-setuptools
BuildRequires:  python3-chardet
BuildRequires:  python3-devel
BuildRequires:  python3-lxml
BuildRequires:  python3-setuptools
Requires:       python-chardet
Requires:       python-lxml
Requires:       python-setuptools
Requires:       python-beautifulsoup4

%description
A fast implementation of the HTML 5 parsing spec for Python.
Parsing is done in C using a variant of the gumbo parser.

%package -n python3-%{module}
Summary:        %{summary} / Python 3 library
Group:          Development/Python
Requires:       python3-chardet
Requires:       python3-lxml
Requires:       python3-setuptools
Requires:       python3-beautifulsoup4

%description -n python3-%{module}
A fast implementation of the HTML 5 parsing spec for Python.
Parsing is done in C using a variant of the gumbo parser.

%prep
%setup -qn %{module}-%{version}
cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd
%py2_build

%install
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitearch}
popd
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitearch}

%files
%doc LICENSE PKG-INFO README.rst
%{python2_sitearch}/*

%files -n python3-%{module}
%doc LICENSE PKG-INFO README.rst
%{python3_sitearch}/*

%changelog
* Mon Nov 05 2018 adrianomorselli <adrianomorselli> 0.4.4-1uplos2018
- imported for uplos
